Bug 2036604 - [abrt] gnome-shell: meta_context_terminate(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_context_terminate(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7ed79997e418583f2862928f7ca...
: Confidential2039748 Confidential2140575 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-03 11:10 UTC by Khoorasan
Modified: 2022-12-11 01:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-11 01:47:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.27 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: core_backtrace (36.22 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: cpuinfo (2.42 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: dso_list (169 bytes, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: environ (1.13 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: exploitable (82 bytes, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: limits (1.29 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: maps (3.98 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: mountinfo (2.94 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: open_fds (4.80 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details
File: var_log_messages (941 bytes, text/plain)
2022-01-03 11:10 UTC, Khoorasan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 5078 0 None None None 2022-02-15 02:13:48 UTC
GNOME Gitlab GNOME mutter merge_requests 2609 0 None merged x11/session: Set the context as client data on connection watch 2022-11-30 18:45:06 UTC
Launchpad 1959937 0 None None None 2022-02-15 02:14:08 UTC

Description Khoorasan 2022-01-03 11:10:45 UTC
Description of problem:
An application named "Backup" downloaded from the app store finished making back up 
of the whole system, then I unplugged the external USB, closed the application, a browser 
named "Brave" was running, when issued the command "poweroff" in the terminal, and my
macbook pro 2012 shut down, once I restarted I noticed this error message. 

Version-Release number of selected component:
gnome-shell-41.2-1.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-42.slice/session-c1.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_context_terminate
executable:     /usr/bin/gnome-shell
journald_cursor: s=3036cc978c2c4faca5c818849161ed45;i=1432e;b=de82c8ea70844d16a59c2bf73d776781;m=5a37134;t=5d4495cd257c9;x=9eb7bfee5d98542a
kernel:         5.15.11-200.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 meta_context_terminate at ../src/core/meta-context.c:451
 #1 process_ice_messages at ../src/x11/session.c:116
 #5 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4175
 #7 meta_context_run_main_loop at ../src/core/meta-context.c:433

Comment 1 Khoorasan 2022-01-03 11:10:47 UTC
Created attachment 1848679 [details]
File: backtrace

Comment 2 Khoorasan 2022-01-03 11:10:49 UTC
Created attachment 1848680 [details]
File: core_backtrace

Comment 3 Khoorasan 2022-01-03 11:10:50 UTC
Created attachment 1848681 [details]
File: cpuinfo

Comment 4 Khoorasan 2022-01-03 11:10:51 UTC
Created attachment 1848682 [details]
File: dso_list

Comment 5 Khoorasan 2022-01-03 11:10:52 UTC
Created attachment 1848683 [details]
File: environ

Comment 6 Khoorasan 2022-01-03 11:10:53 UTC
Created attachment 1848684 [details]
File: exploitable

Comment 7 Khoorasan 2022-01-03 11:10:54 UTC
Created attachment 1848685 [details]
File: limits

Comment 8 Khoorasan 2022-01-03 11:10:55 UTC
Created attachment 1848686 [details]
File: maps

Comment 9 Khoorasan 2022-01-03 11:10:56 UTC
Created attachment 1848687 [details]
File: mountinfo

Comment 10 Khoorasan 2022-01-03 11:10:57 UTC
Created attachment 1848688 [details]
File: open_fds

Comment 11 Khoorasan 2022-01-03 11:10:58 UTC
Created attachment 1848689 [details]
File: proc_pid_status

Comment 12 Khoorasan 2022-01-03 11:10:59 UTC
Created attachment 1848690 [details]
File: var_log_messages

Comment 13 Konstantin Bukharov 2022-01-12 11:12:20 UTC
*** ConfidentialBug 2039748 has been marked as a duplicate of this bug. ***

Comment 14 Adam Williamson 2022-02-15 02:00:14 UTC
I'm looking into a problem in one of the openQA tests - the desktop_login test - and it seems related to this crash.

That test tests creating a couple of different user accounts and logging in, logging out, user switching and so on. Sometimes, in F36 and Rawhide, when we try to log out of an account, it takes way longer than expected to actually end the session and go back to GDM - about a minute and a half (usually it's a few seconds).

I grabbed the logs from one such failure and found what looks like this same crash logged right around the time the session finally ended and we returned to GDM:

Thread 1 (Thread 0x7ff8e3f475c0 (LWP 3631)):
#0  meta_context_terminate (context=0x0) at ../src/core/meta-context.c:451
        _g_boolean_var_ = <optimized out>
        priv = 0xffffffffffffffa0
        __func__ = "meta_context_terminate"
#1  0x00007ff8ea67ba86 in process_ice_messages (channel=<optimized out>, condition=<optimized out>, user_data=0x7ff8ed0de6f0) at ../src/x11/session.c:116
        ice_connection = <optimized out>
        connection = <optimized out>
        status = <optimized out>
#2  process_ice_messages (channel=<optimized out>, condition=<optimized out>, user_data=0x7ff8ed0de6f0) at ../src/x11/session.c:95
        ice_connection = 0x7ff8ed0de6f0
        connection = <optimized out>
        status = <optimized out>
#3  0x00007ff8eb2ca1bf in g_main_dispatch (context=0x7ff8ecc614f0) at ../glib/gmain.c:3413
        dispatch = 0x7ff8eb31d950 <g_io_unix_dispatch>
        prev_source = 0x0
        begin_time_nsec = 543677000869
        was_in_call = 0
        user_data = 0x7ff8ed0de6f0
        callback = 0x7ff8ea67ba30 <process_ice_messages>
        cb_funcs = 0x7ff8eb3af3e0 <g_source_callback_funcs>
        cb_data = 0x7ff8ed512480
        need_destroy = <optimized out>
        source = 0x7ff8ecf7b0e0
        current = 0x7ff8ecc9fe60
        i = 0
        __func__ = <optimized out>
#4  g_main_context_dispatch (context=0x7ff8ecc614f0) at ../glib/gmain.c:4131
No locals.
#5  0x00007ff8eb31f2d8 in g_main_context_iterate.constprop.0 (context=0x7ff8ecc614f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4207
        max_priority = 2147483647
        timeout = 102634
        some_ready = 1
        nfds = 13
        allocated_nfds = <optimized out>
        fds = <optimized out>
        begin_time_nsec = 489151985844
#6  0x00007ff8eb2c98ef in g_main_loop_run (loop=0x7ff8ee8c5b50) at ../glib/gmain.c:4405
        self = <optimized out>
        __func__ = "g_main_loop_run"
#7  0x00007ff8ea642289 in meta_context_run_main_loop (context=<optimized out>, error=0x7ffd82a13550) at ../src/core/meta-context.c:433
        priv = 0x7ff8ecc5c000
        __func__ = "meta_context_run_main_loop"
#8  0x00007ff8eb8b8dd1 in main (argc=<optimized out>, argv=<optimized out>) at ../src/main.c:563
        context = 0x7ff8ecc5c060
        error = 0x0
        ecode = 0

I note there's also an Ubuntu bug for a similar traceback:

https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1959937

Comment 15 Dylan Swift 2022-11-07 09:57:52 UTC
*** ConfidentialBug 2140575 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2022-11-29 17:35:29 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 17 Adam Williamson 2022-11-30 18:45:06 UTC
https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/2609 fixed this upstream, but wasn't backported to the 41 branch upstream, so this is probably still broken.

What the hell, I'll fix it.

Comment 18 Fedora Update System 2022-11-30 19:13:24 UTC
FEDORA-2022-6a61088a67 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6a61088a67

Comment 19 Fedora Update System 2022-12-01 02:37:54 UTC
FEDORA-2022-6a61088a67 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-6a61088a67`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6a61088a67

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2022-12-11 01:47:05 UTC
FEDORA-2022-6a61088a67 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.